libquicktime: lqt_codec_info_t Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

# lqt_codec_info_t Struct Reference
[Codec registry]

Structure describing a codec. More...

`#include <lqt_codecinfo.h>`

## Data Fields
int | compatibility_flags
char * | name
char * | long_name
char * | description
lqt_codec_type | type
lqt_codec_direction | direction
int | num_fourccs
char ** | fourccs
int | num_wav_ids
int * | wav_ids
int | num_encoding_parameters
lqt_parameter_info_t * | encoding_parameters
int | num_decoding_parameters
lqt_parameter_info_t * | decoding_parameters
char * | module_filename
int | module_index
uint32_t | file_time
char * | gettext_domain
char * | gettext_directory
struct lqt_codec_info_s * | next

## Detailed Description

Structure describing a codec.

## Field Documentation

int lqt_codec_info_t::compatibility_flags

Compatibility flags (not used right now)

char* lqt_codec_info_t::name

Name of the codec (used internally)

char* lqt_codec_info_t::long_name

More human readable name of the codec

char* lqt_codec_info_t::description

Description

lqt_codec_type lqt_codec_info_t::type

Type (audio or video)

lqt_codec_direction lqt_codec_info_t::direction

Direction (encode, decode or both)

int lqt_codec_info_t::num_fourccs

Number of fourccs (Four character codes), this codec can handle

char** lqt_codec_info_t::fourccs

Fourccs this codec can handle

int lqt_codec_info_t::num_wav_ids

Number of M$ wav ids, this codec can handle

int* lqt_codec_info_t::wav_ids

Wav ids, this codec can handle (for AVI only)

int lqt_codec_info_t::num_encoding_parameters

Number of encoding parameters

lqt_parameter_info_t* lqt_codec_info_t::encoding_parameters

Encoding parameters

int lqt_codec_info_t::num_decoding_parameters

Number of decoding parameters

lqt_parameter_info_t* lqt_codec_info_t::decoding_parameters

Decoding parameters

char* lqt_codec_info_t::module_filename

Filename of the module

int lqt_codec_info_t::module_index

Index inside the module

uint32_t lqt_codec_info_t::file_time

File modification time of the module

char* lqt_codec_info_t::gettext_domain

First argument to bindtextdomain(). Must be set only for externally packaged codecs

char* lqt_codec_info_t::gettext_directory

Second argument to bindtextdomain(). Must be set only for externally packaged codecs

struct lqt_codec_info_s* lqt_codec_info_t::next`[read]`

For chaining (used internally only)

The documentation for this struct was generated from the following file:

- /home/pix/Software/gmerlin-dependencies/libquicktime/libquicktime/include/quicktime/lqt_codecinfo.h